sikuli-ide_1.0~x~rc3.tesseract3-dfsg1-12build3_all.deb


Advertisement

Description

sikuli-ide - IDE to develop sikuli scripts and use them as junit test cases

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: sikuli-ide
Package version: 1.0~x~rc3.tesseract3
Package release: dfsg1-12build3
Package architecture: all
Package type: deb
Installed size: 516 B
Download size: 471.09 KB
Official Mirror: archive.ubuntu.com
Sikuli mixes image recognition into jython scripting to automate interactions with graphical user interfaces. With Sikuli it is very easy to programmatically control a web page, a desktop application, or even an iphone application running in an emulator. This package features Sikuli IDE, the integrated development environment for writing visual scripts with screenshots. sikuli-ide also provides junit integration for running sikuli scripts as junit test cases.

Alternatives

    Download

    Source package: sikuli

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install sikuli-ide deb package:
      # sudo apt-get install sikuli-ide

    Files

    • /usr/bin/sikuli-ide
    • /usr/share/doc/sikuli-ide/README.Debian
    • /usr/share/doc/sikuli-ide/changelog.Debian.gz
    • /usr/share/doc/sikuli-ide/copyright
    • /usr/share/man/man1/sikuli-ide.1.gz
    • /usr/share/sikuli/sikuli-ide.jar

    Changelog

    2016-04-09 - Steve Langasek <steve.langasek@ubuntu.com> sikuli (1.0~x~rc3.tesseract3-dfsg1-12build3) xenial; urgency=medium * No-change rebuild against libtesseract3

    2016-04-08 - Graham Inggs <ginggs@ubuntu.com> sikuli (1.0~x~rc3.tesseract3-dfsg1-12build2) xenial; urgency=medium * No-change rebuild for libtesseract4 -> libtesseract3 transition.

    2016-02-22 - Matthias Klose <doko@ubuntu.com> sikuli (1.0~x~rc3.tesseract3-dfsg1-12build1) xenial; urgency=medium * No-change rebuild for tesseract transition.

    2015-07-16 - Gilles Filippini <pini@debian.org> sikuli (1.0~x~rc3.tesseract3-dfsg1-12) unstable; urgency=medium * Fix erroneous line count in patch executable-wrappers.patch (closes: #789797).

    2015-05-25 - Gilles Filippini <pini@debian.org> sikuli (1.0~x~rc3.tesseract3-dfsg1-11) unstable; urgency=medium * Bump epoch on default-{jre,jdk} versioned Build-Depends and Depends.

    2015-05-23 - Gilles Filippini <pini@debian.org> sikuli (1.0~x~rc3.tesseract3-dfsg1-10) unstable; urgency=medium * Fix executable-wrappers.patch: + add missing backslash + add libjnr-ffi.jar to classpath * libsikuli-script-java: Depends: libjnr-constants-java

    2015-05-23 - Gilles Filippini <pini@debian.org> sikuli (1.0~x~rc3.tesseract3-dfsg1-9) unstable; urgency=medium * Fix executable-wrappers.patch (thanks to Chad Miller): - split wrappers' args across lines to improve readability - replace deprecated libconstantine-java.jar with jnr-constants.jar (closes: #785720) * Update patch setTextAndMnemonic.patch accordingly * New patches: - no-adsense.patch to remove links to google-analytics from documentation - target-java-6 patch: force java6 compatible bytecode * Bump versioned build dependency to debhelper (>= 9~) and drop related source.lintian-overrides * Bump Standards-Version to 3.9.6 (no changes)

    2014-06-29 - Gilles Filippini <pini@debian.org> sikuli (1.0~x~rc3.tesseract3-dfsg1-8) unstable; urgency=medium * Update patch use-java-libs-from-debian.patch to use the new jar name for libjson-simple-java (closes: #750297) * Fix patch executable-wrappers.patch to add missing jars to the classpath (closes: #752738)

    2013-07-13 - Gilles Filippini <pini@debian.org> sikuli (1.0~x~rc3.tesseract3-dfsg1-7) unstable; urgency=low * Revert fix for java.lang.UnsatisfiedLinkError which was arch dependent while sikuli-ide is arch all /o\. By the way the corresponding bug (#714393) is now tagged wontfix since it's sun-java6 related. * debian/control: fix VCS fields * Add description for patch setTextAndMnemonic.patch

    2013-06-08 - Gilles Filippini <pini@debian.org> sikuli (1.0~x~rc3.tesseract3-dfsg1-6) unstable; urgency=low [tony mancill <tmancill@debian.org>] * fix typo in d/control (Closes: #682011) [Gilles Filippini <pini@debian.org>] * new patch: + setTextAndMnemonic.patch: replace deprecated DefaultComponentFactory#setTextAndMnemonic with MnemonicUtils#configure (Closes: #711310) * Updated patch: + executable-wrappers.patch: add /usr/lib/<multiarch-triplet>/jni to LD_LIBRARY_PATH (fix java.lang.UnsatisfiedLinkError for JXGrabKey)

    Advertisement
    Advertisement